complexType "CommodityCalculationPeriodsSchedule"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | periodMultiplier?, period?, balanceOfFirstPeriod?
</...>

Content Model Elements (3):

  balanceOfFirstPeriod, period (defined in Frequency complexType), | periodMultiplier (defined in Frequency complexType)

All Direct / Indirect Based Elements (3):

  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsSchedule (in commodityOption),
  periodsSchedule

Known Usage Locations

- As direct type of elements (3):
  calculationPeriodsSchedule (defined in CommodityCalculationPeriods.model group),
  calculationPeriodsSchedule (in commodityOption),
  periodsSchedule

Annotation
A parametric representation of the Calculation Periods for on Asian option or a leg of a swap. In case the calculation frequency is of value T (term), the period is defined by the commoditySwap\effectiveDate and the commoditySwap\terminationDate.
Type Definition Detail

Type Derivation Tree Frequency (extension) CommodityCalculationPeriodsSchedule

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommodityCalculationPeriodsSchedule"> <xsd:complexContent> <xsd:extension base="Frequency"> <xsd:sequence> <xsd:element minOccurs="0" name="balanceOfFirstPeriod" type="xsd:boolean"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/3)
balanceOfFirstPeriod

  Type: | xsd:boolean, predefined, simple content

  If true, indicates that that the first Calculation Period should run from the Effective Date to the end of the calendar period in which the Effective Date falls, e.g. Jan 15 - Jan 31 if the calculation periods are one month long and Effective Date is Jan 15. If false, the first Calculation Period should run from the Effective Date for one whole period, e.g. Jan 15 to Feb 14 if the calculation periods are one month long and Effective Date is Jan 15.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="balanceOfFirstPeriod" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.